import { OnInit, ElementRef } from '@angular/core';
import { DataTableRowComponent } from '../../data-table/data-table-row/data-table-row.component';
import { CellCallback } from '../types/cell-callback.type';
export declare class DataTableColumnDirective implements OnInit {
    header?: string;
    sortable: boolean;
    resizable: boolean;
    property?: string;
    styleClass?: string;
    cellColors?: CellCallback;
    width?: number | string;
    visible: boolean;
    cellTemplate?: ElementRef;
    headerTemplate?: ElementRef;
    private styleClassObject;
    getCellColor(row: DataTableRowComponent, index: number): string | undefined;
    ngOnInit(): void;
    private _initCellClass();
}
